#ifndef OCPP_H_
#define OCPP_H_

#include <stdint.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief Start OCPP
 */
void ocpp_start(void);

/**
 * @brief Stop OCPP
 */
void ocpp_stop(void);

/* Config getters / setters */
bool ocpp_get_enabled(void);
void ocpp_set_enabled(bool value);

void ocpp_get_server(char *value);      // buffer >= 64
void ocpp_set_server(char *value);

void ocpp_get_charge_id(char *value);   // buffer >= 64
void ocpp_set_charge_id(char *value);

/* Estado de conexão */
bool ocpp_is_connected(void);

#ifdef __cplusplus
}
#endif

#endif /* OCPP_H_ */
